# Overview

{% hint style="info" %}
Mobingi API is organized around REST. \
Our API has predictable, resource-oriented URLs. We support CORS (Cross-Origin Resource Sharing), allowing you to interact securely with our API.
{% endhint %}

## Endpoint

<https://api.mobingi.com>&#x20;

## Version

The current available API version is `v2` only.

## OAuth authentication

In order to interact with the API, your application must authenticate. Mobingi API handles this through **OAuth**. An OAuth token functions as a complete authentication request. In effect, it acts as a substitute for a username and password pair.

To get an OAuth token, make a POST request to:

```
POST /v2/access_token
```

| **Parameters** | **Type** | **Required** | **Details**                               |
| -------------- | -------- | ------------ | ----------------------------------------- |
| client\_id     | string   | yes          |                                           |
| client\_secret | string   | yes          |                                           |
| grant\_type    | string   | yes          | This value is always `client_credentials` |

Example Request:

```
curl -X POST https://api.mobingi.com/v2/access_token \
-H "Content-Type: application/json" \
-d '{"grant_type":"client_credentials","client_id":"lg-5447826c870e7-xBV0OSJEN-tm","client_secret":"sFVYDoe08fxPjNgYvauYGOYCeXbOTE","grant_type":"client_credentials"}'
```

You can then start making API requests by passing the `access_token` value to the **Authorization** header.

```
Authorization: Bearer eyJ0eXAiOiJQiLCJhbGciOMeXzQfME...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alphaus.cloud/v2.0-english/api-reference/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
